Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskDeadlinesServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskDeadlinesServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskDeadlinesService

    public class TaskDeadlinesServiceImpl

extends Object
implements org.kie.internal.task.api.TaskDeadlinesService

Nested Class Summary
`static class` | `TaskDeadlinesServiceImpl.ScheduledTaskDeadline`

Nested classes/interfaces inherited from interface org.kie.internal.task.api.TaskDeadlinesService
`org.kie.internal.task.api.TaskDeadlinesService.DeadlineType`

Field Summary
`protected static CommandExecutor` | `instance`
`protected static NotificationListener` | `notificationListener`

Constructor Summary
`TaskDeadlinesServiceImpl()`
`TaskDeadlinesServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Method Summary
`static void` | `dispose()`
`static CommandExecutor` | `getInstance()`
`static void` | `initialize(CommandExecutor instance)`
`static void` | `reset()`
`void` | `schedule(long taskId, long deadlineId, long delay, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`
`static void` | `setNotificationListener(NotificationListener notificationListener)`
`void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`
`void` | `unschedule(long taskId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static volatile CommandExecutor instance

### notificationListener

    protected static NotificationListener notificationListener

Constructor Detail

### TaskDeadlinesServiceImpl

    public TaskDeadlinesServiceImpl()

### TaskDeadlinesServiceImpl

    public TaskDeadlinesServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

Method Detail

### setPersistenceContext

    public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

### schedule

    public void schedule(long taskId,
                         long deadlineId,
                         long delay,
                         org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

  Specified by:
    `schedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

### unschedule

    public void unschedule(long taskId,
                           org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

  Specified by:
    `unschedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

### setNotificationListener

    public static void setNotificationListener(NotificationListener notificationListener)

### getInstance

    public static CommandExecutor getInstance()

### initialize

    public static void initialize(CommandExecutor instance)

### reset

    public static void reset()

### dispose

    public static void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.